#include <little/little.h>
#include <gl.h>

#ifdef GL_VERSION_1_1
LTL_METHOD_DECL(GL_MetaGL_VERSION_1_1_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VERSION_1_1);
	return ret;
}
#endif

#ifdef GL_VERSION_1_2
LTL_METHOD_DECL(GL_MetaGL_VERSION_1_2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VERSION_1_2);
	return ret;
}
#endif

#ifdef GL_CURRENT_BIT
LTL_METHOD_DECL(GL_MetaGL_CURRENT_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_BIT);
	return ret;
}
#endif

#ifdef GL_POINT_BIT
LTL_METHOD_DECL(GL_MetaGL_POINT_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINT_BIT);
	return ret;
}
#endif

#ifdef GL_LINE_BIT
LTL_METHOD_DECL(GL_MetaGL_LINE_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_BIT);
	return ret;
}
#endif

#ifdef GL_POLYGON_BIT
LTL_METHOD_DECL(GL_MetaGL_POLYGON_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_BIT);
	return ret;
}
#endif

#ifdef GL_POLYGON_STIPPLE_BIT
LTL_METHOD_DECL(GL_MetaGL_POLYGON_STIPPLE_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_STIPPLE_BIT);
	return ret;
}
#endif

#ifdef GL_PIXEL_MODE_BIT
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MODE_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MODE_BIT);
	return ret;
}
#endif

#ifdef GL_LIGHTING_BIT
LTL_METHOD_DECL(GL_MetaGL_LIGHTING_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHTING_BIT);
	return ret;
}
#endif

#ifdef GL_FOG_BIT
LTL_METHOD_DECL(GL_MetaGL_FOG_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG_BIT);
	return ret;
}
#endif

#ifdef GL_DEPTH_BUFFER_BIT
LTL_METHOD_DECL(GL_MetaGL_DEPTH_BUFFER_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_BUFFER_BIT);
	return ret;
}
#endif

#ifdef GL_ACCUM_BUFFER_BIT
LTL_METHOD_DECL(GL_MetaGL_ACCUM_BUFFER_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ACCUM_BUFFER_BIT);
	return ret;
}
#endif

#ifdef GL_STENCIL_BUFFER_BIT
LTL_METHOD_DECL(GL_MetaGL_STENCIL_BUFFER_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_BUFFER_BIT);
	return ret;
}
#endif

#ifdef GL_VIEWPORT_BIT
LTL_METHOD_DECL(GL_MetaGL_VIEWPORT_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VIEWPORT_BIT);
	return ret;
}
#endif

#ifdef GL_TRANSFORM_BIT
LTL_METHOD_DECL(GL_MetaGL_TRANSFORM_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_TRANSFORM_BIT);
	return ret;
}
#endif

#ifdef GL_ENABLE_BIT
LTL_METHOD_DECL(GL_MetaGL_ENABLE_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ENABLE_BIT);
	return ret;
}
#endif

#ifdef GL_COLOR_BUFFER_BIT
LTL_METHOD_DECL(GL_MetaGL_COLOR_BUFFER_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_BUFFER_BIT);
	return ret;
}
#endif

#ifdef GL_HINT_BIT
LTL_METHOD_DECL(GL_MetaGL_HINT_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HINT_BIT);
	return ret;
}
#endif

#ifdef GL_EVAL_BIT
LTL_METHOD_DECL(GL_MetaGL_EVAL_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EVAL_BIT);
	return ret;
}
#endif

#ifdef GL_LIST_BIT
LTL_METHOD_DECL(GL_MetaGL_LIST_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIST_BIT);
	return ret;
}
#endif

#ifdef GL_SCISSOR_BIT
LTL_METHOD_DECL(GL_MetaGL_SCISSOR_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SCISSOR_BIT);
	return ret;
}
#endif

#ifdef GL_ALL_ATTRIB_BITS
LTL_METHOD_DECL(GL_MetaGL_ALL_ATTRIB_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALL_ATTRIB_BITS);
	return ret;
}
#endif

#ifdef GL_CLIENT_PIXEL_STORE_BIT
LTL_METHOD_DECL(GL_MetaGL_CLIENT_PIXEL_STORE_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIENT_PIXEL_STORE_BIT);
	return ret;
}
#endif

#ifdef GL_CLIENT_VERTEX_ARRAY_BIT
LTL_METHOD_DECL(GL_MetaGL_CLIENT_VERTEX_ARRAY_BIT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIENT_VERTEX_ARRAY_BIT);
	return ret;
}
#endif

#ifdef GL_CLIENT_ALL_ATTRIB_BITS
LTL_METHOD_DECL(GL_MetaGL_CLIENT_ALL_ATTRIB_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIENT_ALL_ATTRIB_BITS);
	return ret;
}
#endif

#ifdef GL_FALSE
LTL_METHOD_DECL(GL_MetaGL_FALSE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FALSE);
	return ret;
}
#endif

#ifdef GL_TRUE
LTL_METHOD_DECL(GL_MetaGL_TRUE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_TRUE);
	return ret;
}
#endif

#ifdef GL_POINTS
LTL_METHOD_DECL(GL_MetaGL_POINTS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINTS);
	return ret;
}
#endif

#ifdef GL_LINES
LTL_METHOD_DECL(GL_MetaGL_LINES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINES);
	return ret;
}
#endif

#ifdef GL_LINE_LOOP
LTL_METHOD_DECL(GL_MetaGL_LINE_LOOP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_LOOP);
	return ret;
}
#endif

#ifdef GL_LINE_STRIP
LTL_METHOD_DECL(GL_MetaGL_LINE_STRIP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_STRIP);
	return ret;
}
#endif

#ifdef GL_TRIANGLES
LTL_METHOD_DECL(GL_MetaGL_TRIANGLES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_TRIANGLES);
	return ret;
}
#endif

#ifdef GL_TRIANGLE_STRIP
LTL_METHOD_DECL(GL_MetaGL_TRIANGLE_STRIP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_TRIANGLE_STRIP);
	return ret;
}
#endif

#ifdef GL_TRIANGLE_FAN
LTL_METHOD_DECL(GL_MetaGL_TRIANGLE_FAN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_TRIANGLE_FAN);
	return ret;
}
#endif

#ifdef GL_QUADS
LTL_METHOD_DECL(GL_MetaGL_QUADS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_QUADS);
	return ret;
}
#endif

#ifdef GL_QUAD_STRIP
LTL_METHOD_DECL(GL_MetaGL_QUAD_STRIP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_QUAD_STRIP);
	return ret;
}
#endif

#ifdef GL_POLYGON
LTL_METHOD_DECL(GL_MetaGL_POLYGON_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON);
	return ret;
}
#endif

#ifdef GL_ACCUM
LTL_METHOD_DECL(GL_MetaGL_ACCUM_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ACCUM);
	return ret;
}
#endif

#ifdef GL_LOAD
LTL_METHOD_DECL(GL_MetaGL_LOAD_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LOAD);
	return ret;
}
#endif

#ifdef GL_RETURN
LTL_METHOD_DECL(GL_MetaGL_RETURN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RETURN);
	return ret;
}
#endif

#ifdef GL_MULT
LTL_METHOD_DECL(GL_MetaGL_MULT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MULT);
	return ret;
}
#endif

#ifdef GL_ADD
LTL_METHOD_DECL(GL_MetaGL_ADD_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ADD);
	return ret;
}
#endif

#ifdef GL_NEVER
LTL_METHOD_DECL(GL_MetaGL_NEVER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NEVER);
	return ret;
}
#endif

#ifdef GL_LESS
LTL_METHOD_DECL(GL_MetaGL_LESS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LESS);
	return ret;
}
#endif

#ifdef GL_EQUAL
LTL_METHOD_DECL(GL_MetaGL_EQUAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EQUAL);
	return ret;
}
#endif

#ifdef GL_LEQUAL
LTL_METHOD_DECL(GL_MetaGL_LEQUAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LEQUAL);
	return ret;
}
#endif

#ifdef GL_GREATER
LTL_METHOD_DECL(GL_MetaGL_GREATER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_GREATER);
	return ret;
}
#endif

#ifdef GL_NOTEQUAL
LTL_METHOD_DECL(GL_MetaGL_NOTEQUAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NOTEQUAL);
	return ret;
}
#endif

#ifdef GL_GEQUAL
LTL_METHOD_DECL(GL_MetaGL_GEQUAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_GEQUAL);
	return ret;
}
#endif

#ifdef GL_ALWAYS
LTL_METHOD_DECL(GL_MetaGL_ALWAYS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALWAYS);
	return ret;
}
#endif

#ifdef GL_ZERO
LTL_METHOD_DECL(GL_MetaGL_ZERO_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ZERO);
	return ret;
}
#endif

#ifdef GL_ONE
LTL_METHOD_DECL(GL_MetaGL_ONE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ONE);
	return ret;
}
#endif

#ifdef GL_SRC_COLOR
LTL_METHOD_DECL(GL_MetaGL_SRC_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SRC_COLOR);
	return ret;
}
#endif

#ifdef GL_ONE_MINUS_SRC_COLOR
LTL_METHOD_DECL(GL_MetaGL_ONE_MINUS_SRC_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ONE_MINUS_SRC_COLOR);
	return ret;
}
#endif

#ifdef GL_SRC_ALPHA
LTL_METHOD_DECL(GL_MetaGL_SRC_ALPHA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SRC_ALPHA);
	return ret;
}
#endif

#ifdef GL_ONE_MINUS_SRC_ALPHA
LTL_METHOD_DECL(GL_MetaGL_ONE_MINUS_SRC_ALPHA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ONE_MINUS_SRC_ALPHA);
	return ret;
}
#endif

#ifdef GL_DST_ALPHA
LTL_METHOD_DECL(GL_MetaGL_DST_ALPHA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DST_ALPHA);
	return ret;
}
#endif

#ifdef GL_ONE_MINUS_DST_ALPHA
LTL_METHOD_DECL(GL_MetaGL_ONE_MINUS_DST_ALPHA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ONE_MINUS_DST_ALPHA);
	return ret;
}
#endif

#ifdef GL_DST_COLOR
LTL_METHOD_DECL(GL_MetaGL_DST_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DST_COLOR);
	return ret;
}
#endif

#ifdef GL_ONE_MINUS_DST_COLOR
LTL_METHOD_DECL(GL_MetaGL_ONE_MINUS_DST_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ONE_MINUS_DST_COLOR);
	return ret;
}
#endif

#ifdef GL_SRC_ALPHA_SATURATE
LTL_METHOD_DECL(GL_MetaGL_SRC_ALPHA_SATURATE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SRC_ALPHA_SATURATE);
	return ret;
}
#endif

#ifdef GL_NONE
LTL_METHOD_DECL(GL_MetaGL_NONE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NONE);
	return ret;
}
#endif

#ifdef GL_FRONT_LEFT
LTL_METHOD_DECL(GL_MetaGL_FRONT_LEFT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FRONT_LEFT);
	return ret;
}
#endif

#ifdef GL_FRONT_RIGHT
LTL_METHOD_DECL(GL_MetaGL_FRONT_RIGHT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FRONT_RIGHT);
	return ret;
}
#endif

#ifdef GL_BACK_LEFT
LTL_METHOD_DECL(GL_MetaGL_BACK_LEFT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BACK_LEFT);
	return ret;
}
#endif

#ifdef GL_BACK_RIGHT
LTL_METHOD_DECL(GL_MetaGL_BACK_RIGHT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BACK_RIGHT);
	return ret;
}
#endif

#ifdef GL_FRONT
LTL_METHOD_DECL(GL_MetaGL_FRONT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FRONT);
	return ret;
}
#endif

#ifdef GL_BACK
LTL_METHOD_DECL(GL_MetaGL_BACK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BACK);
	return ret;
}
#endif

#ifdef GL_LEFT
LTL_METHOD_DECL(GL_MetaGL_LEFT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LEFT);
	return ret;
}
#endif

#ifdef GL_RIGHT
LTL_METHOD_DECL(GL_MetaGL_RIGHT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RIGHT);
	return ret;
}
#endif

#ifdef GL_FRONT_AND_BACK
LTL_METHOD_DECL(GL_MetaGL_FRONT_AND_BACK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FRONT_AND_BACK);
	return ret;
}
#endif

#ifdef GL_AUX0
LTL_METHOD_DECL(GL_MetaGL_AUX0_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AUX0);
	return ret;
}
#endif

#ifdef GL_AUX1
LTL_METHOD_DECL(GL_MetaGL_AUX1_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AUX1);
	return ret;
}
#endif

#ifdef GL_AUX2
LTL_METHOD_DECL(GL_MetaGL_AUX2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AUX2);
	return ret;
}
#endif

#ifdef GL_AUX3
LTL_METHOD_DECL(GL_MetaGL_AUX3_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AUX3);
	return ret;
}
#endif

#ifdef GL_NO_ERROR
LTL_METHOD_DECL(GL_MetaGL_NO_ERROR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NO_ERROR);
	return ret;
}
#endif

#ifdef GL_INVALID_ENUM
LTL_METHOD_DECL(GL_MetaGL_INVALID_ENUM_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INVALID_ENUM);
	return ret;
}
#endif

#ifdef GL_INVALID_VALUE
LTL_METHOD_DECL(GL_MetaGL_INVALID_VALUE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INVALID_VALUE);
	return ret;
}
#endif

#ifdef GL_INVALID_OPERATION
LTL_METHOD_DECL(GL_MetaGL_INVALID_OPERATION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INVALID_OPERATION);
	return ret;
}
#endif

#ifdef GL_STACK_OVERFLOW
LTL_METHOD_DECL(GL_MetaGL_STACK_OVERFLOW_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STACK_OVERFLOW);
	return ret;
}
#endif

#ifdef GL_STACK_UNDERFLOW
LTL_METHOD_DECL(GL_MetaGL_STACK_UNDERFLOW_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STACK_UNDERFLOW);
	return ret;
}
#endif

#ifdef GL_OUT_OF_MEMORY
LTL_METHOD_DECL(GL_MetaGL_OUT_OF_MEMORY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_OUT_OF_MEMORY);
	return ret;
}
#endif

#ifdef GL_2D
LTL_METHOD_DECL(GL_MetaGL__2D_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_2D);
	return ret;
}
#endif

#ifdef GL_3D
LTL_METHOD_DECL(GL_MetaGL__3D_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_3D);
	return ret;
}
#endif

#ifdef GL_3D_COLOR
LTL_METHOD_DECL(GL_MetaGL__3D_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_3D_COLOR);
	return ret;
}
#endif

#ifdef GL_PASS_THROUGH_TOKEN
LTL_METHOD_DECL(GL_MetaGL_PASS_THROUGH_TOKEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PASS_THROUGH_TOKEN);
	return ret;
}
#endif

#ifdef GL_POINT_TOKEN
LTL_METHOD_DECL(GL_MetaGL_POINT_TOKEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINT_TOKEN);
	return ret;
}
#endif

#ifdef GL_LINE_TOKEN
LTL_METHOD_DECL(GL_MetaGL_LINE_TOKEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_TOKEN);
	return ret;
}
#endif

#ifdef GL_POLYGON_TOKEN
LTL_METHOD_DECL(GL_MetaGL_POLYGON_TOKEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_TOKEN);
	return ret;
}
#endif

#ifdef GL_BITMAP_TOKEN
LTL_METHOD_DECL(GL_MetaGL_BITMAP_TOKEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BITMAP_TOKEN);
	return ret;
}
#endif

#ifdef GL_DRAW_PIXEL_TOKEN
LTL_METHOD_DECL(GL_MetaGL_DRAW_PIXEL_TOKEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DRAW_PIXEL_TOKEN);
	return ret;
}
#endif

#ifdef GL_COPY_PIXEL_TOKEN
LTL_METHOD_DECL(GL_MetaGL_COPY_PIXEL_TOKEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COPY_PIXEL_TOKEN);
	return ret;
}
#endif

#ifdef GL_LINE_RESET_TOKEN
LTL_METHOD_DECL(GL_MetaGL_LINE_RESET_TOKEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_RESET_TOKEN);
	return ret;
}
#endif

#ifdef GL_EXP
LTL_METHOD_DECL(GL_MetaGL_EXP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EXP);
	return ret;
}
#endif

#ifdef GL_EXP2
LTL_METHOD_DECL(GL_MetaGL_EXP2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EXP2);
	return ret;
}
#endif

#ifdef GL_CW
LTL_METHOD_DECL(GL_MetaGL_CW_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CW);
	return ret;
}
#endif

#ifdef GL_CCW
LTL_METHOD_DECL(GL_MetaGL_CCW_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CCW);
	return ret;
}
#endif

#ifdef GL_COEFF
LTL_METHOD_DECL(GL_MetaGL_COEFF_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COEFF);
	return ret;
}
#endif

#ifdef GL_ORDER
LTL_METHOD_DECL(GL_MetaGL_ORDER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ORDER);
	return ret;
}
#endif

#ifdef GL_DOMAIN
LTL_METHOD_DECL(GL_MetaGL_DOMAIN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DOMAIN);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_I
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_I_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_I);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_S_TO_S
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_S_TO_S_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_S_TO_S);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_R
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_R_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_R);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_G
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_G_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_G);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_B
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_B_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_B);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_A
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_A_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_A);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_R_TO_R
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_R_TO_R_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_R_TO_R);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_G_TO_G
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_G_TO_G_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_G_TO_G);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_B_TO_B
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_B_TO_B_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_B_TO_B);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_A_TO_A
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_A_TO_A_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_A_TO_A);
	return ret;
}
#endif

#ifdef GL_VERTEX_ARRAY_POINTER
LTL_METHOD_DECL(GL_MetaGL_VERTEX_ARRAY_POINTER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VERTEX_ARRAY_POINTER);
	return ret;
}
#endif

#ifdef GL_NORMAL_ARRAY_POINTER
LTL_METHOD_DECL(GL_MetaGL_NORMAL_ARRAY_POINTER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NORMAL_ARRAY_POINTER);
	return ret;
}
#endif

#ifdef GL_COLOR_ARRAY_POINTER
LTL_METHOD_DECL(GL_MetaGL_COLOR_ARRAY_POINTER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_ARRAY_POINTER);
	return ret;
}
#endif

#ifdef GL_INDEX_ARRAY_POINTER
LTL_METHOD_DECL(GL_MetaGL_INDEX_ARRAY_POINTER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_ARRAY_POINTER);
	return ret;
}
#endif

#ifdef GL_EDGE_FLAG_ARRAY_POINTER
LTL_METHOD_DECL(GL_MetaGL_EDGE_FLAG_ARRAY_POINTER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EDGE_FLAG_ARRAY_POINTER);
	return ret;
}
#endif

#ifdef GL_CURRENT_COLOR
LTL_METHOD_DECL(GL_MetaGL_CURRENT_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_COLOR);
	return ret;
}
#endif

#ifdef GL_CURRENT_INDEX
LTL_METHOD_DECL(GL_MetaGL_CURRENT_INDEX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_INDEX);
	return ret;
}
#endif

#ifdef GL_CURRENT_NORMAL
LTL_METHOD_DECL(GL_MetaGL_CURRENT_NORMAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_NORMAL);
	return ret;
}
#endif

#ifdef GL_CURRENT_RASTER_COLOR
LTL_METHOD_DECL(GL_MetaGL_CURRENT_RASTER_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_RASTER_COLOR);
	return ret;
}
#endif

#ifdef GL_CURRENT_RASTER_INDEX
LTL_METHOD_DECL(GL_MetaGL_CURRENT_RASTER_INDEX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_RASTER_INDEX);
	return ret;
}
#endif

#ifdef GL_CURRENT_RASTER_POSITION
LTL_METHOD_DECL(GL_MetaGL_CURRENT_RASTER_POSITION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_RASTER_POSITION);
	return ret;
}
#endif

#ifdef GL_CURRENT_RASTER_POSITION_VALID
LTL_METHOD_DECL(GL_MetaGL_CURRENT_RASTER_POSITION_VALID_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_RASTER_POSITION_VALID);
	return ret;
}
#endif

#ifdef GL_CURRENT_RASTER_DISTANCE
LTL_METHOD_DECL(GL_MetaGL_CURRENT_RASTER_DISTANCE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CURRENT_RASTER_DISTANCE);
	return ret;
}
#endif

#ifdef GL_POINT_SMOOTH
LTL_METHOD_DECL(GL_MetaGL_POINT_SMOOTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINT_SMOOTH);
	return ret;
}
#endif

#ifdef GL_POINT_SIZE
LTL_METHOD_DECL(GL_MetaGL_POINT_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINT_SIZE);
	return ret;
}
#endif

#ifdef GL_POINT_SIZE_RANGE
LTL_METHOD_DECL(GL_MetaGL_POINT_SIZE_RANGE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINT_SIZE_RANGE);
	return ret;
}
#endif

#ifdef GL_POINT_SIZE_GRANULARITY
LTL_METHOD_DECL(GL_MetaGL_POINT_SIZE_GRANULARITY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINT_SIZE_GRANULARITY);
	return ret;
}
#endif

#ifdef GL_LINE_SMOOTH
LTL_METHOD_DECL(GL_MetaGL_LINE_SMOOTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_SMOOTH);
	return ret;
}
#endif

#ifdef GL_LINE_WIDTH
LTL_METHOD_DECL(GL_MetaGL_LINE_WIDTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_WIDTH);
	return ret;
}
#endif

#ifdef GL_LINE_WIDTH_RANGE
LTL_METHOD_DECL(GL_MetaGL_LINE_WIDTH_RANGE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_WIDTH_RANGE);
	return ret;
}
#endif

#ifdef GL_LINE_WIDTH_GRANULARITY
LTL_METHOD_DECL(GL_MetaGL_LINE_WIDTH_GRANULARITY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_WIDTH_GRANULARITY);
	return ret;
}
#endif

#ifdef GL_LINE_STIPPLE
LTL_METHOD_DECL(GL_MetaGL_LINE_STIPPLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_STIPPLE);
	return ret;
}
#endif

#ifdef GL_LINE_STIPPLE_PATTERN
LTL_METHOD_DECL(GL_MetaGL_LINE_STIPPLE_PATTERN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_STIPPLE_PATTERN);
	return ret;
}
#endif

#ifdef GL_LINE_STIPPLE_REPEAT
LTL_METHOD_DECL(GL_MetaGL_LINE_STIPPLE_REPEAT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_STIPPLE_REPEAT);
	return ret;
}
#endif

#ifdef GL_LIST_MODE
LTL_METHOD_DECL(GL_MetaGL_LIST_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIST_MODE);
	return ret;
}
#endif

#ifdef GL_MAX_LIST_NESTING
LTL_METHOD_DECL(GL_MetaGL_MAX_LIST_NESTING_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_LIST_NESTING);
	return ret;
}
#endif

#ifdef GL_LIST_BASE
LTL_METHOD_DECL(GL_MetaGL_LIST_BASE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIST_BASE);
	return ret;
}
#endif

#ifdef GL_LIST_INDEX
LTL_METHOD_DECL(GL_MetaGL_LIST_INDEX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIST_INDEX);
	return ret;
}
#endif

#ifdef GL_POLYGON_MODE
LTL_METHOD_DECL(GL_MetaGL_POLYGON_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_MODE);
	return ret;
}
#endif

#ifdef GL_POLYGON_SMOOTH
LTL_METHOD_DECL(GL_MetaGL_POLYGON_SMOOTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_SMOOTH);
	return ret;
}
#endif

#ifdef GL_POLYGON_STIPPLE
LTL_METHOD_DECL(GL_MetaGL_POLYGON_STIPPLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_STIPPLE);
	return ret;
}
#endif

#ifdef GL_EDGE_FLAG
LTL_METHOD_DECL(GL_MetaGL_EDGE_FLAG_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EDGE_FLAG);
	return ret;
}
#endif

#ifdef GL_CULL_FACE
LTL_METHOD_DECL(GL_MetaGL_CULL_FACE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CULL_FACE);
	return ret;
}
#endif

#ifdef GL_CULL_FACE_MODE
LTL_METHOD_DECL(GL_MetaGL_CULL_FACE_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CULL_FACE_MODE);
	return ret;
}
#endif

#ifdef GL_FRONT_FACE
LTL_METHOD_DECL(GL_MetaGL_FRONT_FACE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FRONT_FACE);
	return ret;
}
#endif

#ifdef GL_LIGHTING
LTL_METHOD_DECL(GL_MetaGL_LIGHTING_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHTING);
	return ret;
}
#endif

#ifdef GL_LIGHT_MODEL_LOCAL_VIEWER
LTL_METHOD_DECL(GL_MetaGL_LIGHT_MODEL_LOCAL_VIEWER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT_MODEL_LOCAL_VIEWER);
	return ret;
}
#endif

#ifdef GL_LIGHT_MODEL_TWO_SIDE
LTL_METHOD_DECL(GL_MetaGL_LIGHT_MODEL_TWO_SIDE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT_MODEL_TWO_SIDE);
	return ret;
}
#endif

#ifdef GL_LIGHT_MODEL_AMBIENT
LTL_METHOD_DECL(GL_MetaGL_LIGHT_MODEL_AMBIENT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT_MODEL_AMBIENT);
	return ret;
}
#endif

#ifdef GL_SHADE_MODEL
LTL_METHOD_DECL(GL_MetaGL_SHADE_MODEL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SHADE_MODEL);
	return ret;
}
#endif

#ifdef GL_COLOR_MATERIAL_FACE
LTL_METHOD_DECL(GL_MetaGL_COLOR_MATERIAL_FACE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_MATERIAL_FACE);
	return ret;
}
#endif

#ifdef GL_COLOR_MATERIAL_PARAMETER
LTL_METHOD_DECL(GL_MetaGL_COLOR_MATERIAL_PARAMETER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_MATERIAL_PARAMETER);
	return ret;
}
#endif

#ifdef GL_COLOR_MATERIAL
LTL_METHOD_DECL(GL_MetaGL_COLOR_MATERIAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_MATERIAL);
	return ret;
}
#endif

#ifdef GL_FOG
LTL_METHOD_DECL(GL_MetaGL_FOG_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG);
	return ret;
}
#endif

#ifdef GL_FOG_INDEX
LTL_METHOD_DECL(GL_MetaGL_FOG_INDEX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG_INDEX);
	return ret;
}
#endif

#ifdef GL_FOG_DENSITY
LTL_METHOD_DECL(GL_MetaGL_FOG_DENSITY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG_DENSITY);
	return ret;
}
#endif

#ifdef GL_FOG_START
LTL_METHOD_DECL(GL_MetaGL_FOG_START_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG_START);
	return ret;
}
#endif

#ifdef GL_FOG_END
LTL_METHOD_DECL(GL_MetaGL_FOG_END_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG_END);
	return ret;
}
#endif

#ifdef GL_FOG_MODE
LTL_METHOD_DECL(GL_MetaGL_FOG_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG_MODE);
	return ret;
}
#endif

#ifdef GL_FOG_COLOR
LTL_METHOD_DECL(GL_MetaGL_FOG_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG_COLOR);
	return ret;
}
#endif

#ifdef GL_DEPTH_RANGE
LTL_METHOD_DECL(GL_MetaGL_DEPTH_RANGE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_RANGE);
	return ret;
}
#endif

#ifdef GL_DEPTH_TEST
LTL_METHOD_DECL(GL_MetaGL_DEPTH_TEST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_TEST);
	return ret;
}
#endif

#ifdef GL_DEPTH_WRITEMASK
LTL_METHOD_DECL(GL_MetaGL_DEPTH_WRITEMASK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_WRITEMASK);
	return ret;
}
#endif

#ifdef GL_DEPTH_CLEAR_VALUE
LTL_METHOD_DECL(GL_MetaGL_DEPTH_CLEAR_VALUE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_CLEAR_VALUE);
	return ret;
}
#endif

#ifdef GL_DEPTH_FUNC
LTL_METHOD_DECL(GL_MetaGL_DEPTH_FUNC_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_FUNC);
	return ret;
}
#endif

#ifdef GL_ACCUM_CLEAR_VALUE
LTL_METHOD_DECL(GL_MetaGL_ACCUM_CLEAR_VALUE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ACCUM_CLEAR_VALUE);
	return ret;
}
#endif

#ifdef GL_STENCIL_TEST
LTL_METHOD_DECL(GL_MetaGL_STENCIL_TEST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_TEST);
	return ret;
}
#endif

#ifdef GL_STENCIL_CLEAR_VALUE
LTL_METHOD_DECL(GL_MetaGL_STENCIL_CLEAR_VALUE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_CLEAR_VALUE);
	return ret;
}
#endif

#ifdef GL_STENCIL_FUNC
LTL_METHOD_DECL(GL_MetaGL_STENCIL_FUNC_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_FUNC);
	return ret;
}
#endif

#ifdef GL_STENCIL_VALUE_MASK
LTL_METHOD_DECL(GL_MetaGL_STENCIL_VALUE_MASK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_VALUE_MASK);
	return ret;
}
#endif

#ifdef GL_STENCIL_FAIL
LTL_METHOD_DECL(GL_MetaGL_STENCIL_FAIL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_FAIL);
	return ret;
}
#endif

#ifdef GL_STENCIL_PASS_DEPTH_FAIL
LTL_METHOD_DECL(GL_MetaGL_STENCIL_PASS_DEPTH_FAIL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_PASS_DEPTH_FAIL);
	return ret;
}
#endif

#ifdef GL_STENCIL_PASS_DEPTH_PASS
LTL_METHOD_DECL(GL_MetaGL_STENCIL_PASS_DEPTH_PASS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_PASS_DEPTH_PASS);
	return ret;
}
#endif

#ifdef GL_STENCIL_REF
LTL_METHOD_DECL(GL_MetaGL_STENCIL_REF_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_REF);
	return ret;
}
#endif

#ifdef GL_STENCIL_WRITEMASK
LTL_METHOD_DECL(GL_MetaGL_STENCIL_WRITEMASK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_WRITEMASK);
	return ret;
}
#endif

#ifdef GL_MATRIX_MODE
LTL_METHOD_DECL(GL_MetaGL_MATRIX_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MATRIX_MODE);
	return ret;
}
#endif

#ifdef GL_NORMALIZE
LTL_METHOD_DECL(GL_MetaGL_NORMALIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NORMALIZE);
	return ret;
}
#endif

#ifdef GL_VIEWPORT
LTL_METHOD_DECL(GL_MetaGL_VIEWPORT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VIEWPORT);
	return ret;
}
#endif

#ifdef GL_MODELVIEW_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_MODELVIEW_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MODELVIEW_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_PROJECTION_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_PROJECTION_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PROJECTION_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_MODELVIEW_MATRIX
LTL_METHOD_DECL(GL_MetaGL_MODELVIEW_MATRIX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MODELVIEW_MATRIX);
	return ret;
}
#endif

#ifdef GL_PROJECTION_MATRIX
LTL_METHOD_DECL(GL_MetaGL_PROJECTION_MATRIX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PROJECTION_MATRIX);
	return ret;
}
#endif

#ifdef GL_ATTRIB_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_ATTRIB_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ATTRIB_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_CLIENT_ATTRIB_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_CLIENT_ATTRIB_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIENT_ATTRIB_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_ALPHA_TEST
LTL_METHOD_DECL(GL_MetaGL_ALPHA_TEST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA_TEST);
	return ret;
}
#endif

#ifdef GL_ALPHA_TEST_FUNC
LTL_METHOD_DECL(GL_MetaGL_ALPHA_TEST_FUNC_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA_TEST_FUNC);
	return ret;
}
#endif

#ifdef GL_ALPHA_TEST_REF
LTL_METHOD_DECL(GL_MetaGL_ALPHA_TEST_REF_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA_TEST_REF);
	return ret;
}
#endif

#ifdef GL_DITHER
LTL_METHOD_DECL(GL_MetaGL_DITHER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DITHER);
	return ret;
}
#endif

#ifdef GL_BLEND_DST
LTL_METHOD_DECL(GL_MetaGL_BLEND_DST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLEND_DST);
	return ret;
}
#endif

#ifdef GL_BLEND_SRC
LTL_METHOD_DECL(GL_MetaGL_BLEND_SRC_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLEND_SRC);
	return ret;
}
#endif

#ifdef GL_BLEND
LTL_METHOD_DECL(GL_MetaGL_BLEND_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLEND);
	return ret;
}
#endif

#ifdef GL_LOGIC_OP_MODE
LTL_METHOD_DECL(GL_MetaGL_LOGIC_OP_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LOGIC_OP_MODE);
	return ret;
}
#endif

#ifdef GL_INDEX_LOGIC_OP
LTL_METHOD_DECL(GL_MetaGL_INDEX_LOGIC_OP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_LOGIC_OP);
	return ret;
}
#endif

#ifdef GL_LOGIC_OP
LTL_METHOD_DECL(GL_MetaGL_LOGIC_OP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LOGIC_OP);
	return ret;
}
#endif

#ifdef GL_COLOR_LOGIC_OP
LTL_METHOD_DECL(GL_MetaGL_COLOR_LOGIC_OP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_LOGIC_OP);
	return ret;
}
#endif

#ifdef GL_AUX_BUFFERS
LTL_METHOD_DECL(GL_MetaGL_AUX_BUFFERS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AUX_BUFFERS);
	return ret;
}
#endif

#ifdef GL_DRAW_BUFFER
LTL_METHOD_DECL(GL_MetaGL_DRAW_BUFFER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DRAW_BUFFER);
	return ret;
}
#endif

#ifdef GL_READ_BUFFER
LTL_METHOD_DECL(GL_MetaGL_READ_BUFFER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_READ_BUFFER);
	return ret;
}
#endif

#ifdef GL_SCISSOR_BOX
LTL_METHOD_DECL(GL_MetaGL_SCISSOR_BOX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SCISSOR_BOX);
	return ret;
}
#endif

#ifdef GL_SCISSOR_TEST
LTL_METHOD_DECL(GL_MetaGL_SCISSOR_TEST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SCISSOR_TEST);
	return ret;
}
#endif

#ifdef GL_INDEX_CLEAR_VALUE
LTL_METHOD_DECL(GL_MetaGL_INDEX_CLEAR_VALUE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_CLEAR_VALUE);
	return ret;
}
#endif

#ifdef GL_INDEX_WRITEMASK
LTL_METHOD_DECL(GL_MetaGL_INDEX_WRITEMASK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_WRITEMASK);
	return ret;
}
#endif

#ifdef GL_COLOR_CLEAR_VALUE
LTL_METHOD_DECL(GL_MetaGL_COLOR_CLEAR_VALUE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_CLEAR_VALUE);
	return ret;
}
#endif

#ifdef GL_COLOR_WRITEMASK
LTL_METHOD_DECL(GL_MetaGL_COLOR_WRITEMASK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_WRITEMASK);
	return ret;
}
#endif

#ifdef GL_INDEX_MODE
LTL_METHOD_DECL(GL_MetaGL_INDEX_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_MODE);
	return ret;
}
#endif

#ifdef GL_RGBA_MODE
LTL_METHOD_DECL(GL_MetaGL_RGBA_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGBA_MODE);
	return ret;
}
#endif

#ifdef GL_DOUBLEBUFFER
LTL_METHOD_DECL(GL_MetaGL_DOUBLEBUFFER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DOUBLEBUFFER);
	return ret;
}
#endif

#ifdef GL_STEREO
LTL_METHOD_DECL(GL_MetaGL_STEREO_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STEREO);
	return ret;
}
#endif

#ifdef GL_RENDER_MODE
LTL_METHOD_DECL(GL_MetaGL_RENDER_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RENDER_MODE);
	return ret;
}
#endif

#ifdef GL_PERSPECTIVE_CORRECTION_HINT
LTL_METHOD_DECL(GL_MetaGL_PERSPECTIVE_CORRECTION_HINT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PERSPECTIVE_CORRECTION_HINT);
	return ret;
}
#endif

#ifdef GL_POINT_SMOOTH_HINT
LTL_METHOD_DECL(GL_MetaGL_POINT_SMOOTH_HINT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINT_SMOOTH_HINT);
	return ret;
}
#endif

#ifdef GL_LINE_SMOOTH_HINT
LTL_METHOD_DECL(GL_MetaGL_LINE_SMOOTH_HINT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE_SMOOTH_HINT);
	return ret;
}
#endif

#ifdef GL_POLYGON_SMOOTH_HINT
LTL_METHOD_DECL(GL_MetaGL_POLYGON_SMOOTH_HINT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_SMOOTH_HINT);
	return ret;
}
#endif

#ifdef GL_FOG_HINT
LTL_METHOD_DECL(GL_MetaGL_FOG_HINT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FOG_HINT);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_I_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_I_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_I_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_S_TO_S_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_S_TO_S_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_S_TO_S_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_R_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_R_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_R_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_G_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_G_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_G_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_B_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_B_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_B_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_I_TO_A_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_I_TO_A_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_I_TO_A_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_R_TO_R_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_R_TO_R_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_R_TO_R_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_G_TO_G_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_G_TO_G_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_G_TO_G_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_B_TO_B_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_B_TO_B_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_B_TO_B_SIZE);
	return ret;
}
#endif

#ifdef GL_PIXEL_MAP_A_TO_A_SIZE
LTL_METHOD_DECL(GL_MetaGL_PIXEL_MAP_A_TO_A_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PIXEL_MAP_A_TO_A_SIZE);
	return ret;
}
#endif

#ifdef GL_UNPACK_SWAP_BYTES
LTL_METHOD_DECL(GL_MetaGL_UNPACK_SWAP_BYTES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNPACK_SWAP_BYTES);
	return ret;
}
#endif

#ifdef GL_UNPACK_LSB_FIRST
LTL_METHOD_DECL(GL_MetaGL_UNPACK_LSB_FIRST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNPACK_LSB_FIRST);
	return ret;
}
#endif

#ifdef GL_UNPACK_ROW_LENGTH
LTL_METHOD_DECL(GL_MetaGL_UNPACK_ROW_LENGTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNPACK_ROW_LENGTH);
	return ret;
}
#endif

#ifdef GL_UNPACK_SKIP_ROWS
LTL_METHOD_DECL(GL_MetaGL_UNPACK_SKIP_ROWS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNPACK_SKIP_ROWS);
	return ret;
}
#endif

#ifdef GL_UNPACK_SKIP_PIXELS
LTL_METHOD_DECL(GL_MetaGL_UNPACK_SKIP_PIXELS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNPACK_SKIP_PIXELS);
	return ret;
}
#endif

#ifdef GL_UNPACK_ALIGNMENT
LTL_METHOD_DECL(GL_MetaGL_UNPACK_ALIGNMENT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNPACK_ALIGNMENT);
	return ret;
}
#endif

#ifdef GL_PACK_SWAP_BYTES
LTL_METHOD_DECL(GL_MetaGL_PACK_SWAP_BYTES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PACK_SWAP_BYTES);
	return ret;
}
#endif

#ifdef GL_PACK_LSB_FIRST
LTL_METHOD_DECL(GL_MetaGL_PACK_LSB_FIRST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PACK_LSB_FIRST);
	return ret;
}
#endif

#ifdef GL_PACK_ROW_LENGTH
LTL_METHOD_DECL(GL_MetaGL_PACK_ROW_LENGTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PACK_ROW_LENGTH);
	return ret;
}
#endif

#ifdef GL_PACK_SKIP_ROWS
LTL_METHOD_DECL(GL_MetaGL_PACK_SKIP_ROWS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PACK_SKIP_ROWS);
	return ret;
}
#endif

#ifdef GL_PACK_SKIP_PIXELS
LTL_METHOD_DECL(GL_MetaGL_PACK_SKIP_PIXELS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PACK_SKIP_PIXELS);
	return ret;
}
#endif

#ifdef GL_PACK_ALIGNMENT
LTL_METHOD_DECL(GL_MetaGL_PACK_ALIGNMENT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PACK_ALIGNMENT);
	return ret;
}
#endif

#ifdef GL_MAP_COLOR
LTL_METHOD_DECL(GL_MetaGL_MAP_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP_COLOR);
	return ret;
}
#endif

#ifdef GL_MAP_STENCIL
LTL_METHOD_DECL(GL_MetaGL_MAP_STENCIL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP_STENCIL);
	return ret;
}
#endif

#ifdef GL_INDEX_SHIFT
LTL_METHOD_DECL(GL_MetaGL_INDEX_SHIFT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_SHIFT);
	return ret;
}
#endif

#ifdef GL_INDEX_OFFSET
LTL_METHOD_DECL(GL_MetaGL_INDEX_OFFSET_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_OFFSET);
	return ret;
}
#endif

#ifdef GL_RED_SCALE
LTL_METHOD_DECL(GL_MetaGL_RED_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RED_SCALE);
	return ret;
}
#endif

#ifdef GL_RED_BIAS
LTL_METHOD_DECL(GL_MetaGL_RED_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RED_BIAS);
	return ret;
}
#endif

#ifdef GL_ZOOM_X
LTL_METHOD_DECL(GL_MetaGL_ZOOM_X_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ZOOM_X);
	return ret;
}
#endif

#ifdef GL_ZOOM_Y
LTL_METHOD_DECL(GL_MetaGL_ZOOM_Y_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ZOOM_Y);
	return ret;
}
#endif

#ifdef GL_GREEN_SCALE
LTL_METHOD_DECL(GL_MetaGL_GREEN_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_GREEN_SCALE);
	return ret;
}
#endif

#ifdef GL_GREEN_BIAS
LTL_METHOD_DECL(GL_MetaGL_GREEN_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_GREEN_BIAS);
	return ret;
}
#endif

#ifdef GL_BLUE_SCALE
LTL_METHOD_DECL(GL_MetaGL_BLUE_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLUE_SCALE);
	return ret;
}
#endif

#ifdef GL_BLUE_BIAS
LTL_METHOD_DECL(GL_MetaGL_BLUE_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLUE_BIAS);
	return ret;
}
#endif

#ifdef GL_ALPHA_SCALE
LTL_METHOD_DECL(GL_MetaGL_ALPHA_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA_SCALE);
	return ret;
}
#endif

#ifdef GL_ALPHA_BIAS
LTL_METHOD_DECL(GL_MetaGL_ALPHA_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA_BIAS);
	return ret;
}
#endif

#ifdef GL_DEPTH_SCALE
LTL_METHOD_DECL(GL_MetaGL_DEPTH_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_SCALE);
	return ret;
}
#endif

#ifdef GL_DEPTH_BIAS
LTL_METHOD_DECL(GL_MetaGL_DEPTH_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_BIAS);
	return ret;
}
#endif

#ifdef GL_MAX_EVAL_ORDER
LTL_METHOD_DECL(GL_MetaGL_MAX_EVAL_ORDER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_EVAL_ORDER);
	return ret;
}
#endif

#ifdef GL_MAX_LIGHTS
LTL_METHOD_DECL(GL_MetaGL_MAX_LIGHTS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_LIGHTS);
	return ret;
}
#endif

#ifdef GL_MAX_CLIP_PLANES
LTL_METHOD_DECL(GL_MetaGL_MAX_CLIP_PLANES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_CLIP_PLANES);
	return ret;
}
#endif

#ifdef GL_MAX_PIXEL_MAP_TABLE
LTL_METHOD_DECL(GL_MetaGL_MAX_PIXEL_MAP_TABLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_PIXEL_MAP_TABLE);
	return ret;
}
#endif

#ifdef GL_MAX_ATTRIB_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_MAX_ATTRIB_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_ATTRIB_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_MAX_MODELVIEW_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_MAX_MODELVIEW_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_MODELVIEW_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_MAX_NAME_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_MAX_NAME_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_NAME_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_MAX_PROJECTION_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_MAX_PROJECTION_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_PROJECTION_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_MAX_VIEWPORT_DIMS
LTL_METHOD_DECL(GL_MetaGL_MAX_VIEWPORT_DIMS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_VIEWPORT_DIMS);
	return ret;
}
#endif

#ifdef GL_MAX_CLIENT_ATTRIB_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_MAX_CLIENT_ATTRIB_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_CLIENT_ATTRIB_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_SUBPIXEL_BITS
LTL_METHOD_DECL(GL_MetaGL_SUBPIXEL_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SUBPIXEL_BITS);
	return ret;
}
#endif

#ifdef GL_INDEX_BITS
LTL_METHOD_DECL(GL_MetaGL_INDEX_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_BITS);
	return ret;
}
#endif

#ifdef GL_RED_BITS
LTL_METHOD_DECL(GL_MetaGL_RED_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RED_BITS);
	return ret;
}
#endif

#ifdef GL_GREEN_BITS
LTL_METHOD_DECL(GL_MetaGL_GREEN_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_GREEN_BITS);
	return ret;
}
#endif

#ifdef GL_BLUE_BITS
LTL_METHOD_DECL(GL_MetaGL_BLUE_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLUE_BITS);
	return ret;
}
#endif

#ifdef GL_ALPHA_BITS
LTL_METHOD_DECL(GL_MetaGL_ALPHA_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA_BITS);
	return ret;
}
#endif

#ifdef GL_DEPTH_BITS
LTL_METHOD_DECL(GL_MetaGL_DEPTH_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_BITS);
	return ret;
}
#endif

#ifdef GL_STENCIL_BITS
LTL_METHOD_DECL(GL_MetaGL_STENCIL_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_BITS);
	return ret;
}
#endif

#ifdef GL_ACCUM_RED_BITS
LTL_METHOD_DECL(GL_MetaGL_ACCUM_RED_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ACCUM_RED_BITS);
	return ret;
}
#endif

#ifdef GL_ACCUM_GREEN_BITS
LTL_METHOD_DECL(GL_MetaGL_ACCUM_GREEN_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ACCUM_GREEN_BITS);
	return ret;
}
#endif

#ifdef GL_ACCUM_BLUE_BITS
LTL_METHOD_DECL(GL_MetaGL_ACCUM_BLUE_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ACCUM_BLUE_BITS);
	return ret;
}
#endif

#ifdef GL_ACCUM_ALPHA_BITS
LTL_METHOD_DECL(GL_MetaGL_ACCUM_ALPHA_BITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ACCUM_ALPHA_BITS);
	return ret;
}
#endif

#ifdef GL_NAME_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_NAME_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NAME_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_AUTO_NORMAL
LTL_METHOD_DECL(GL_MetaGL_AUTO_NORMAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AUTO_NORMAL);
	return ret;
}
#endif

#ifdef GL_MAP1_COLOR_4
LTL_METHOD_DECL(GL_MetaGL_MAP1_COLOR_4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP1_COLOR_4);
	return ret;
}
#endif

#ifdef GL_MAP1_INDEX
LTL_METHOD_DECL(GL_MetaGL_MAP1_INDEX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP1_INDEX);
	return ret;
}
#endif

#ifdef GL_MAP1_NORMAL
LTL_METHOD_DECL(GL_MetaGL_MAP1_NORMAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP1_NORMAL);
	return ret;
}
#endif

#ifdef GL_MAP1_VERTEX_3
LTL_METHOD_DECL(GL_MetaGL_MAP1_VERTEX_3_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP1_VERTEX_3);
	return ret;
}
#endif

#ifdef GL_MAP1_VERTEX_4
LTL_METHOD_DECL(GL_MetaGL_MAP1_VERTEX_4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP1_VERTEX_4);
	return ret;
}
#endif

#ifdef GL_MAP2_COLOR_4
LTL_METHOD_DECL(GL_MetaGL_MAP2_COLOR_4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP2_COLOR_4);
	return ret;
}
#endif

#ifdef GL_MAP2_INDEX
LTL_METHOD_DECL(GL_MetaGL_MAP2_INDEX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP2_INDEX);
	return ret;
}
#endif

#ifdef GL_MAP2_NORMAL
LTL_METHOD_DECL(GL_MetaGL_MAP2_NORMAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP2_NORMAL);
	return ret;
}
#endif

#ifdef GL_MAP2_VERTEX_3
LTL_METHOD_DECL(GL_MetaGL_MAP2_VERTEX_3_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP2_VERTEX_3);
	return ret;
}
#endif

#ifdef GL_MAP2_VERTEX_4
LTL_METHOD_DECL(GL_MetaGL_MAP2_VERTEX_4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP2_VERTEX_4);
	return ret;
}
#endif

#ifdef GL_MAP1_GRID_DOMAIN
LTL_METHOD_DECL(GL_MetaGL_MAP1_GRID_DOMAIN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP1_GRID_DOMAIN);
	return ret;
}
#endif

#ifdef GL_MAP1_GRID_SEGMENTS
LTL_METHOD_DECL(GL_MetaGL_MAP1_GRID_SEGMENTS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP1_GRID_SEGMENTS);
	return ret;
}
#endif

#ifdef GL_MAP2_GRID_DOMAIN
LTL_METHOD_DECL(GL_MetaGL_MAP2_GRID_DOMAIN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP2_GRID_DOMAIN);
	return ret;
}
#endif

#ifdef GL_MAP2_GRID_SEGMENTS
LTL_METHOD_DECL(GL_MetaGL_MAP2_GRID_SEGMENTS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAP2_GRID_SEGMENTS);
	return ret;
}
#endif

#ifdef GL_FEEDBACK_BUFFER_POINTER
LTL_METHOD_DECL(GL_MetaGL_FEEDBACK_BUFFER_POINTER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FEEDBACK_BUFFER_POINTER);
	return ret;
}
#endif

#ifdef GL_FEEDBACK_BUFFER_SIZE
LTL_METHOD_DECL(GL_MetaGL_FEEDBACK_BUFFER_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FEEDBACK_BUFFER_SIZE);
	return ret;
}
#endif

#ifdef GL_FEEDBACK_BUFFER_TYPE
LTL_METHOD_DECL(GL_MetaGL_FEEDBACK_BUFFER_TYPE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FEEDBACK_BUFFER_TYPE);
	return ret;
}
#endif

#ifdef GL_SELECTION_BUFFER_POINTER
LTL_METHOD_DECL(GL_MetaGL_SELECTION_BUFFER_POINTER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SELECTION_BUFFER_POINTER);
	return ret;
}
#endif

#ifdef GL_SELECTION_BUFFER_SIZE
LTL_METHOD_DECL(GL_MetaGL_SELECTION_BUFFER_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SELECTION_BUFFER_SIZE);
	return ret;
}
#endif

#ifdef GL_POLYGON_OFFSET_UNITS
LTL_METHOD_DECL(GL_MetaGL_POLYGON_OFFSET_UNITS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_OFFSET_UNITS);
	return ret;
}
#endif

#ifdef GL_POLYGON_OFFSET_POINT
LTL_METHOD_DECL(GL_MetaGL_POLYGON_OFFSET_POINT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_OFFSET_POINT);
	return ret;
}
#endif

#ifdef GL_POLYGON_OFFSET_LINE
LTL_METHOD_DECL(GL_MetaGL_POLYGON_OFFSET_LINE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_OFFSET_LINE);
	return ret;
}
#endif

#ifdef GL_POLYGON_OFFSET_FILL
LTL_METHOD_DECL(GL_MetaGL_POLYGON_OFFSET_FILL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_OFFSET_FILL);
	return ret;
}
#endif

#ifdef GL_POLYGON_OFFSET_FACTOR
LTL_METHOD_DECL(GL_MetaGL_POLYGON_OFFSET_FACTOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POLYGON_OFFSET_FACTOR);
	return ret;
}
#endif

#ifdef GL_VERTEX_ARRAY
LTL_METHOD_DECL(GL_MetaGL_VERTEX_ARRAY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VERTEX_ARRAY);
	return ret;
}
#endif

#ifdef GL_NORMAL_ARRAY
LTL_METHOD_DECL(GL_MetaGL_NORMAL_ARRAY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NORMAL_ARRAY);
	return ret;
}
#endif

#ifdef GL_COLOR_ARRAY
LTL_METHOD_DECL(GL_MetaGL_COLOR_ARRAY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_ARRAY);
	return ret;
}
#endif

#ifdef GL_INDEX_ARRAY
LTL_METHOD_DECL(GL_MetaGL_INDEX_ARRAY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_ARRAY);
	return ret;
}
#endif

#ifdef GL_EDGE_FLAG_ARRAY
LTL_METHOD_DECL(GL_MetaGL_EDGE_FLAG_ARRAY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EDGE_FLAG_ARRAY);
	return ret;
}
#endif

#ifdef GL_VERTEX_ARRAY_SIZE
LTL_METHOD_DECL(GL_MetaGL_VERTEX_ARRAY_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VERTEX_ARRAY_SIZE);
	return ret;
}
#endif

#ifdef GL_VERTEX_ARRAY_TYPE
LTL_METHOD_DECL(GL_MetaGL_VERTEX_ARRAY_TYPE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VERTEX_ARRAY_TYPE);
	return ret;
}
#endif

#ifdef GL_VERTEX_ARRAY_STRIDE
LTL_METHOD_DECL(GL_MetaGL_VERTEX_ARRAY_STRIDE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VERTEX_ARRAY_STRIDE);
	return ret;
}
#endif

#ifdef GL_NORMAL_ARRAY_TYPE
LTL_METHOD_DECL(GL_MetaGL_NORMAL_ARRAY_TYPE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NORMAL_ARRAY_TYPE);
	return ret;
}
#endif

#ifdef GL_NORMAL_ARRAY_STRIDE
LTL_METHOD_DECL(GL_MetaGL_NORMAL_ARRAY_STRIDE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NORMAL_ARRAY_STRIDE);
	return ret;
}
#endif

#ifdef GL_COLOR_ARRAY_SIZE
LTL_METHOD_DECL(GL_MetaGL_COLOR_ARRAY_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_ARRAY_SIZE);
	return ret;
}
#endif

#ifdef GL_COLOR_ARRAY_TYPE
LTL_METHOD_DECL(GL_MetaGL_COLOR_ARRAY_TYPE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_ARRAY_TYPE);
	return ret;
}
#endif

#ifdef GL_COLOR_ARRAY_STRIDE
LTL_METHOD_DECL(GL_MetaGL_COLOR_ARRAY_STRIDE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_ARRAY_STRIDE);
	return ret;
}
#endif

#ifdef GL_INDEX_ARRAY_TYPE
LTL_METHOD_DECL(GL_MetaGL_INDEX_ARRAY_TYPE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_ARRAY_TYPE);
	return ret;
}
#endif

#ifdef GL_INDEX_ARRAY_STRIDE
LTL_METHOD_DECL(GL_MetaGL_INDEX_ARRAY_STRIDE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INDEX_ARRAY_STRIDE);
	return ret;
}
#endif

#ifdef GL_EDGE_FLAG_ARRAY_STRIDE
LTL_METHOD_DECL(GL_MetaGL_EDGE_FLAG_ARRAY_STRIDE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EDGE_FLAG_ARRAY_STRIDE);
	return ret;
}
#endif

#ifdef GL_DONT_CARE
LTL_METHOD_DECL(GL_MetaGL_DONT_CARE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DONT_CARE);
	return ret;
}
#endif

#ifdef GL_FASTEST
LTL_METHOD_DECL(GL_MetaGL_FASTEST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FASTEST);
	return ret;
}
#endif

#ifdef GL_NICEST
LTL_METHOD_DECL(GL_MetaGL_NICEST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NICEST);
	return ret;
}
#endif

#ifdef GL_AMBIENT
LTL_METHOD_DECL(GL_MetaGL_AMBIENT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AMBIENT);
	return ret;
}
#endif

#ifdef GL_DIFFUSE
LTL_METHOD_DECL(GL_MetaGL_DIFFUSE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DIFFUSE);
	return ret;
}
#endif

#ifdef GL_SPECULAR
LTL_METHOD_DECL(GL_MetaGL_SPECULAR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SPECULAR);
	return ret;
}
#endif

#ifdef GL_POSITION
LTL_METHOD_DECL(GL_MetaGL_POSITION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POSITION);
	return ret;
}
#endif

#ifdef GL_SPOT_DIRECTION
LTL_METHOD_DECL(GL_MetaGL_SPOT_DIRECTION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SPOT_DIRECTION);
	return ret;
}
#endif

#ifdef GL_SPOT_EXPONENT
LTL_METHOD_DECL(GL_MetaGL_SPOT_EXPONENT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SPOT_EXPONENT);
	return ret;
}
#endif

#ifdef GL_SPOT_CUTOFF
LTL_METHOD_DECL(GL_MetaGL_SPOT_CUTOFF_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SPOT_CUTOFF);
	return ret;
}
#endif

#ifdef GL_CONSTANT_ATTENUATION
LTL_METHOD_DECL(GL_MetaGL_CONSTANT_ATTENUATION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONSTANT_ATTENUATION);
	return ret;
}
#endif

#ifdef GL_LINEAR_ATTENUATION
LTL_METHOD_DECL(GL_MetaGL_LINEAR_ATTENUATION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINEAR_ATTENUATION);
	return ret;
}
#endif

#ifdef GL_QUADRATIC_ATTENUATION
LTL_METHOD_DECL(GL_MetaGL_QUADRATIC_ATTENUATION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_QUADRATIC_ATTENUATION);
	return ret;
}
#endif

#ifdef GL_COMPILE
LTL_METHOD_DECL(GL_MetaGL_COMPILE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COMPILE);
	return ret;
}
#endif

#ifdef GL_COMPILE_AND_EXECUTE
LTL_METHOD_DECL(GL_MetaGL_COMPILE_AND_EXECUTE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COMPILE_AND_EXECUTE);
	return ret;
}
#endif

#ifdef GL_BYTE
LTL_METHOD_DECL(GL_MetaGL_BYTE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BYTE);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_BYTE
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_BYTE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_BYTE);
	return ret;
}
#endif

#ifdef GL_SHORT
LTL_METHOD_DECL(GL_MetaGL_SHORT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SHORT);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_SHORT
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_SHORT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_SHORT);
	return ret;
}
#endif

#ifdef GL_INT
LTL_METHOD_DECL(GL_MetaGL_INT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INT);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_INT
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_INT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_INT);
	return ret;
}
#endif

#ifdef GL_FLOAT
LTL_METHOD_DECL(GL_MetaGL_FLOAT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FLOAT);
	return ret;
}
#endif

#ifdef GL_2_BYTES
LTL_METHOD_DECL(GL_MetaGL__2_BYTES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_2_BYTES);
	return ret;
}
#endif

#ifdef GL_3_BYTES
LTL_METHOD_DECL(GL_MetaGL__3_BYTES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_3_BYTES);
	return ret;
}
#endif

#ifdef GL_4_BYTES
LTL_METHOD_DECL(GL_MetaGL__4_BYTES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_4_BYTES);
	return ret;
}
#endif

#ifdef GL_DOUBLE
LTL_METHOD_DECL(GL_MetaGL_DOUBLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DOUBLE);
	return ret;
}
#endif

#ifdef GL_CLEAR
LTL_METHOD_DECL(GL_MetaGL_CLEAR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLEAR);
	return ret;
}
#endif

#ifdef GL_AND
LTL_METHOD_DECL(GL_MetaGL_AND_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AND);
	return ret;
}
#endif

#ifdef GL_AND_REVERSE
LTL_METHOD_DECL(GL_MetaGL_AND_REVERSE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AND_REVERSE);
	return ret;
}
#endif

#ifdef GL_COPY
LTL_METHOD_DECL(GL_MetaGL_COPY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COPY);
	return ret;
}
#endif

#ifdef GL_AND_INVERTED
LTL_METHOD_DECL(GL_MetaGL_AND_INVERTED_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AND_INVERTED);
	return ret;
}
#endif

#ifdef GL_NOOP
LTL_METHOD_DECL(GL_MetaGL_NOOP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NOOP);
	return ret;
}
#endif

#ifdef GL_XOR
LTL_METHOD_DECL(GL_MetaGL_XOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_XOR);
	return ret;
}
#endif

#ifdef GL_OR
LTL_METHOD_DECL(GL_MetaGL_OR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_OR);
	return ret;
}
#endif

#ifdef GL_NOR
LTL_METHOD_DECL(GL_MetaGL_NOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NOR);
	return ret;
}
#endif

#ifdef GL_EQUIV
LTL_METHOD_DECL(GL_MetaGL_EQUIV_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EQUIV);
	return ret;
}
#endif

#ifdef GL_INVERT
LTL_METHOD_DECL(GL_MetaGL_INVERT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INVERT);
	return ret;
}
#endif

#ifdef GL_OR_REVERSE
LTL_METHOD_DECL(GL_MetaGL_OR_REVERSE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_OR_REVERSE);
	return ret;
}
#endif

#ifdef GL_COPY_INVERTED
LTL_METHOD_DECL(GL_MetaGL_COPY_INVERTED_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COPY_INVERTED);
	return ret;
}
#endif

#ifdef GL_OR_INVERTED
LTL_METHOD_DECL(GL_MetaGL_OR_INVERTED_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_OR_INVERTED);
	return ret;
}
#endif

#ifdef GL_NAND
LTL_METHOD_DECL(GL_MetaGL_NAND_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NAND);
	return ret;
}
#endif

#ifdef GL_SET
LTL_METHOD_DECL(GL_MetaGL_SET_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SET);
	return ret;
}
#endif

#ifdef GL_EMISSION
LTL_METHOD_DECL(GL_MetaGL_EMISSION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EMISSION);
	return ret;
}
#endif

#ifdef GL_SHININESS
LTL_METHOD_DECL(GL_MetaGL_SHININESS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SHININESS);
	return ret;
}
#endif

#ifdef GL_AMBIENT_AND_DIFFUSE
LTL_METHOD_DECL(GL_MetaGL_AMBIENT_AND_DIFFUSE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_AMBIENT_AND_DIFFUSE);
	return ret;
}
#endif

#ifdef GL_COLOR_INDEXES
LTL_METHOD_DECL(GL_MetaGL_COLOR_INDEXES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_INDEXES);
	return ret;
}
#endif

#ifdef GL_MODELVIEW
LTL_METHOD_DECL(GL_MetaGL_MODELVIEW_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MODELVIEW);
	return ret;
}
#endif

#ifdef GL_PROJECTION
LTL_METHOD_DECL(GL_MetaGL_PROJECTION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PROJECTION);
	return ret;
}
#endif

#ifdef GL_COLOR
LTL_METHOD_DECL(GL_MetaGL_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR);
	return ret;
}
#endif

#ifdef GL_DEPTH
LTL_METHOD_DECL(GL_MetaGL_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH);
	return ret;
}
#endif

#ifdef GL_STENCIL
LTL_METHOD_DECL(GL_MetaGL_STENCIL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL);
	return ret;
}
#endif

#ifdef GL_COLOR_INDEX
LTL_METHOD_DECL(GL_MetaGL_COLOR_INDEX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_INDEX);
	return ret;
}
#endif

#ifdef GL_STENCIL_INDEX
LTL_METHOD_DECL(GL_MetaGL_STENCIL_INDEX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_STENCIL_INDEX);
	return ret;
}
#endif

#ifdef GL_DEPTH_COMPONENT
LTL_METHOD_DECL(GL_MetaGL_DEPTH_COMPONENT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DEPTH_COMPONENT);
	return ret;
}
#endif

#ifdef GL_RED
LTL_METHOD_DECL(GL_MetaGL_RED_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RED);
	return ret;
}
#endif

#ifdef GL_GREEN
LTL_METHOD_DECL(GL_MetaGL_GREEN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_GREEN);
	return ret;
}
#endif

#ifdef GL_BLUE
LTL_METHOD_DECL(GL_MetaGL_BLUE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLUE);
	return ret;
}
#endif

#ifdef GL_ALPHA
LTL_METHOD_DECL(GL_MetaGL_ALPHA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA);
	return ret;
}
#endif

#ifdef GL_RGB
LTL_METHOD_DECL(GL_MetaGL_RGB_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB);
	return ret;
}
#endif

#ifdef GL_RGBA
LTL_METHOD_DECL(GL_MetaGL_RGBA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGBA);
	return ret;
}
#endif

#ifdef GL_LUMINANCE
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE);
	return ret;
}
#endif

#ifdef GL_LUMINANCE_ALPHA
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE_ALPHA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE_ALPHA);
	return ret;
}
#endif

#ifdef GL_BITMAP
LTL_METHOD_DECL(GL_MetaGL_BITMAP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BITMAP);
	return ret;
}
#endif

#ifdef GL_POINT
LTL_METHOD_DECL(GL_MetaGL_POINT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POINT);
	return ret;
}
#endif

#ifdef GL_LINE
LTL_METHOD_DECL(GL_MetaGL_LINE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINE);
	return ret;
}
#endif

#ifdef GL_FILL
LTL_METHOD_DECL(GL_MetaGL_FILL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FILL);
	return ret;
}
#endif

#ifdef GL_RENDER
LTL_METHOD_DECL(GL_MetaGL_RENDER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RENDER);
	return ret;
}
#endif

#ifdef GL_FEEDBACK
LTL_METHOD_DECL(GL_MetaGL_FEEDBACK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FEEDBACK);
	return ret;
}
#endif

#ifdef GL_SELECT
LTL_METHOD_DECL(GL_MetaGL_SELECT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SELECT);
	return ret;
}
#endif

#ifdef GL_FLAT
LTL_METHOD_DECL(GL_MetaGL_FLAT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FLAT);
	return ret;
}
#endif

#ifdef GL_SMOOTH
LTL_METHOD_DECL(GL_MetaGL_SMOOTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SMOOTH);
	return ret;
}
#endif

#ifdef GL_KEEP
LTL_METHOD_DECL(GL_MetaGL_KEEP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_KEEP);
	return ret;
}
#endif

#ifdef GL_REPLACE
LTL_METHOD_DECL(GL_MetaGL_REPLACE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_REPLACE);
	return ret;
}
#endif

#ifdef GL_INCR
LTL_METHOD_DECL(GL_MetaGL_INCR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INCR);
	return ret;
}
#endif

#ifdef GL_DECR
LTL_METHOD_DECL(GL_MetaGL_DECR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DECR);
	return ret;
}
#endif

#ifdef GL_VENDOR
LTL_METHOD_DECL(GL_MetaGL_VENDOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VENDOR);
	return ret;
}
#endif

#ifdef GL_RENDERER
LTL_METHOD_DECL(GL_MetaGL_RENDERER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RENDERER);
	return ret;
}
#endif

#ifdef GL_VERSION
LTL_METHOD_DECL(GL_MetaGL_VERSION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_VERSION);
	return ret;
}
#endif

#ifdef GL_S
LTL_METHOD_DECL(GL_MetaGL_S_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_S);
	return ret;
}
#endif

#ifdef GL_T
LTL_METHOD_DECL(GL_MetaGL_T_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_T);
	return ret;
}
#endif

#ifdef GL_R
LTL_METHOD_DECL(GL_MetaGL_R_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_R);
	return ret;
}
#endif

#ifdef GL_Q
LTL_METHOD_DECL(GL_MetaGL_Q_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_Q);
	return ret;
}
#endif

#ifdef GL_MODULATE
LTL_METHOD_DECL(GL_MetaGL_MODULATE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MODULATE);
	return ret;
}
#endif

#ifdef GL_DECAL
LTL_METHOD_DECL(GL_MetaGL_DECAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_DECAL);
	return ret;
}
#endif

#ifdef GL_EYE_LINEAR
LTL_METHOD_DECL(GL_MetaGL_EYE_LINEAR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EYE_LINEAR);
	return ret;
}
#endif

#ifdef GL_OBJECT_LINEAR
LTL_METHOD_DECL(GL_MetaGL_OBJECT_LINEAR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_OBJECT_LINEAR);
	return ret;
}
#endif

#ifdef GL_SPHERE_MAP
LTL_METHOD_DECL(GL_MetaGL_SPHERE_MAP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SPHERE_MAP);
	return ret;
}
#endif

#ifdef GL_OBJECT_PLANE
LTL_METHOD_DECL(GL_MetaGL_OBJECT_PLANE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_OBJECT_PLANE);
	return ret;
}
#endif

#ifdef GL_EYE_PLANE
LTL_METHOD_DECL(GL_MetaGL_EYE_PLANE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_EYE_PLANE);
	return ret;
}
#endif

#ifdef GL_NEAREST
LTL_METHOD_DECL(GL_MetaGL_NEAREST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NEAREST);
	return ret;
}
#endif

#ifdef GL_LINEAR
LTL_METHOD_DECL(GL_MetaGL_LINEAR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINEAR);
	return ret;
}
#endif

#ifdef GL_NEAREST_MIPMAP_NEAREST
LTL_METHOD_DECL(GL_MetaGL_NEAREST_MIPMAP_NEAREST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NEAREST_MIPMAP_NEAREST);
	return ret;
}
#endif

#ifdef GL_LINEAR_MIPMAP_NEAREST
LTL_METHOD_DECL(GL_MetaGL_LINEAR_MIPMAP_NEAREST_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINEAR_MIPMAP_NEAREST);
	return ret;
}
#endif

#ifdef GL_NEAREST_MIPMAP_LINEAR
LTL_METHOD_DECL(GL_MetaGL_NEAREST_MIPMAP_LINEAR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_NEAREST_MIPMAP_LINEAR);
	return ret;
}
#endif

#ifdef GL_LINEAR_MIPMAP_LINEAR
LTL_METHOD_DECL(GL_MetaGL_LINEAR_MIPMAP_LINEAR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LINEAR_MIPMAP_LINEAR);
	return ret;
}
#endif

#ifdef GL_CLAMP
LTL_METHOD_DECL(GL_MetaGL_CLAMP_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLAMP);
	return ret;
}
#endif

#ifdef GL_REPEAT
LTL_METHOD_DECL(GL_MetaGL_REPEAT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_REPEAT);
	return ret;
}
#endif

#ifdef GL_R3_G3_B2
LTL_METHOD_DECL(GL_MetaGL_R3_G3_B2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_R3_G3_B2);
	return ret;
}
#endif

#ifdef GL_ALPHA4
LTL_METHOD_DECL(GL_MetaGL_ALPHA4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA4);
	return ret;
}
#endif

#ifdef GL_ALPHA8
LTL_METHOD_DECL(GL_MetaGL_ALPHA8_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA8);
	return ret;
}
#endif

#ifdef GL_ALPHA12
LTL_METHOD_DECL(GL_MetaGL_ALPHA12_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA12);
	return ret;
}
#endif

#ifdef GL_ALPHA16
LTL_METHOD_DECL(GL_MetaGL_ALPHA16_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ALPHA16);
	return ret;
}
#endif

#ifdef GL_LUMINANCE4
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE4);
	return ret;
}
#endif

#ifdef GL_LUMINANCE8
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE8_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE8);
	return ret;
}
#endif

#ifdef GL_LUMINANCE12
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE12_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE12);
	return ret;
}
#endif

#ifdef GL_LUMINANCE16
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE16_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE16);
	return ret;
}
#endif

#ifdef GL_LUMINANCE4_ALPHA4
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE4_ALPHA4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE4_ALPHA4);
	return ret;
}
#endif

#ifdef GL_LUMINANCE6_ALPHA2
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE6_ALPHA2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE6_ALPHA2);
	return ret;
}
#endif

#ifdef GL_LUMINANCE8_ALPHA8
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE8_ALPHA8_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE8_ALPHA8);
	return ret;
}
#endif

#ifdef GL_LUMINANCE12_ALPHA4
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE12_ALPHA4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE12_ALPHA4);
	return ret;
}
#endif

#ifdef GL_LUMINANCE12_ALPHA12
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE12_ALPHA12_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE12_ALPHA12);
	return ret;
}
#endif

#ifdef GL_LUMINANCE16_ALPHA16
LTL_METHOD_DECL(GL_MetaGL_LUMINANCE16_ALPHA16_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LUMINANCE16_ALPHA16);
	return ret;
}
#endif

#ifdef GL_INTENSITY
LTL_METHOD_DECL(GL_MetaGL_INTENSITY_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INTENSITY);
	return ret;
}
#endif

#ifdef GL_INTENSITY4
LTL_METHOD_DECL(GL_MetaGL_INTENSITY4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INTENSITY4);
	return ret;
}
#endif

#ifdef GL_INTENSITY8
LTL_METHOD_DECL(GL_MetaGL_INTENSITY8_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INTENSITY8);
	return ret;
}
#endif

#ifdef GL_INTENSITY12
LTL_METHOD_DECL(GL_MetaGL_INTENSITY12_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INTENSITY12);
	return ret;
}
#endif

#ifdef GL_INTENSITY16
LTL_METHOD_DECL(GL_MetaGL_INTENSITY16_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_INTENSITY16);
	return ret;
}
#endif

#ifdef GL_RGB4
LTL_METHOD_DECL(GL_MetaGL_RGB4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB4);
	return ret;
}
#endif

#ifdef GL_RGB5
LTL_METHOD_DECL(GL_MetaGL_RGB5_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB5);
	return ret;
}
#endif

#ifdef GL_RGB8
LTL_METHOD_DECL(GL_MetaGL_RGB8_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB8);
	return ret;
}
#endif

#ifdef GL_RGB10
LTL_METHOD_DECL(GL_MetaGL_RGB10_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB10);
	return ret;
}
#endif

#ifdef GL_RGB12
LTL_METHOD_DECL(GL_MetaGL_RGB12_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB12);
	return ret;
}
#endif

#ifdef GL_RGB16
LTL_METHOD_DECL(GL_MetaGL_RGB16_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB16);
	return ret;
}
#endif

#ifdef GL_RGBA2
LTL_METHOD_DECL(GL_MetaGL_RGBA2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGBA2);
	return ret;
}
#endif

#ifdef GL_RGBA4
LTL_METHOD_DECL(GL_MetaGL_RGBA4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGBA4);
	return ret;
}
#endif

#ifdef GL_RGB5_A1
LTL_METHOD_DECL(GL_MetaGL_RGB5_A1_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB5_A1);
	return ret;
}
#endif

#ifdef GL_RGBA8
LTL_METHOD_DECL(GL_MetaGL_RGBA8_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGBA8);
	return ret;
}
#endif

#ifdef GL_RGB10_A2
LTL_METHOD_DECL(GL_MetaGL_RGB10_A2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGB10_A2);
	return ret;
}
#endif

#ifdef GL_RGBA12
LTL_METHOD_DECL(GL_MetaGL_RGBA12_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGBA12);
	return ret;
}
#endif

#ifdef GL_RGBA16
LTL_METHOD_DECL(GL_MetaGL_RGBA16_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RGBA16);
	return ret;
}
#endif

#ifdef GL_V2F
LTL_METHOD_DECL(GL_MetaGL_V2F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_V2F);
	return ret;
}
#endif

#ifdef GL_V3F
LTL_METHOD_DECL(GL_MetaGL_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_V3F);
	return ret;
}
#endif

#ifdef GL_C4UB_V2F
LTL_METHOD_DECL(GL_MetaGL_C4UB_V2F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_C4UB_V2F);
	return ret;
}
#endif

#ifdef GL_C4UB_V3F
LTL_METHOD_DECL(GL_MetaGL_C4UB_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_C4UB_V3F);
	return ret;
}
#endif

#ifdef GL_C3F_V3F
LTL_METHOD_DECL(GL_MetaGL_C3F_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_C3F_V3F);
	return ret;
}
#endif

#ifdef GL_N3F_V3F
LTL_METHOD_DECL(GL_MetaGL_N3F_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_N3F_V3F);
	return ret;
}
#endif

#ifdef GL_C4F_N3F_V3F
LTL_METHOD_DECL(GL_MetaGL_C4F_N3F_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_C4F_N3F_V3F);
	return ret;
}
#endif

#ifdef GL_T2F_V3F
LTL_METHOD_DECL(GL_MetaGL_T2F_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_T2F_V3F);
	return ret;
}
#endif

#ifdef GL_T4F_V4F
LTL_METHOD_DECL(GL_MetaGL_T4F_V4F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_T4F_V4F);
	return ret;
}
#endif

#ifdef GL_T2F_C4UB_V3F
LTL_METHOD_DECL(GL_MetaGL_T2F_C4UB_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_T2F_C4UB_V3F);
	return ret;
}
#endif

#ifdef GL_T2F_C3F_V3F
LTL_METHOD_DECL(GL_MetaGL_T2F_C3F_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_T2F_C3F_V3F);
	return ret;
}
#endif

#ifdef GL_T2F_N3F_V3F
LTL_METHOD_DECL(GL_MetaGL_T2F_N3F_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_T2F_N3F_V3F);
	return ret;
}
#endif

#ifdef GL_T2F_C4F_N3F_V3F
LTL_METHOD_DECL(GL_MetaGL_T2F_C4F_N3F_V3F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_T2F_C4F_N3F_V3F);
	return ret;
}
#endif

#ifdef GL_T4F_C4F_N3F_V4F
LTL_METHOD_DECL(GL_MetaGL_T4F_C4F_N3F_V4F_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_T4F_C4F_N3F_V4F);
	return ret;
}
#endif

#ifdef GL_CLIP_PLANE0
LTL_METHOD_DECL(GL_MetaGL_CLIP_PLANE0_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIP_PLANE0);
	return ret;
}
#endif

#ifdef GL_CLIP_PLANE1
LTL_METHOD_DECL(GL_MetaGL_CLIP_PLANE1_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIP_PLANE1);
	return ret;
}
#endif

#ifdef GL_CLIP_PLANE2
LTL_METHOD_DECL(GL_MetaGL_CLIP_PLANE2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIP_PLANE2);
	return ret;
}
#endif

#ifdef GL_CLIP_PLANE3
LTL_METHOD_DECL(GL_MetaGL_CLIP_PLANE3_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIP_PLANE3);
	return ret;
}
#endif

#ifdef GL_CLIP_PLANE4
LTL_METHOD_DECL(GL_MetaGL_CLIP_PLANE4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIP_PLANE4);
	return ret;
}
#endif

#ifdef GL_CLIP_PLANE5
LTL_METHOD_DECL(GL_MetaGL_CLIP_PLANE5_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLIP_PLANE5);
	return ret;
}
#endif

#ifdef GL_LIGHT0
LTL_METHOD_DECL(GL_MetaGL_LIGHT0_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT0);
	return ret;
}
#endif

#ifdef GL_LIGHT1
LTL_METHOD_DECL(GL_MetaGL_LIGHT1_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT1);
	return ret;
}
#endif

#ifdef GL_LIGHT2
LTL_METHOD_DECL(GL_MetaGL_LIGHT2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT2);
	return ret;
}
#endif

#ifdef GL_LIGHT3
LTL_METHOD_DECL(GL_MetaGL_LIGHT3_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT3);
	return ret;
}
#endif

#ifdef GL_LIGHT4
LTL_METHOD_DECL(GL_MetaGL_LIGHT4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT4);
	return ret;
}
#endif

#ifdef GL_LIGHT5
LTL_METHOD_DECL(GL_MetaGL_LIGHT5_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT5);
	return ret;
}
#endif

#ifdef GL_LIGHT6
LTL_METHOD_DECL(GL_MetaGL_LIGHT6_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT6);
	return ret;
}
#endif

#ifdef GL_LIGHT7
LTL_METHOD_DECL(GL_MetaGL_LIGHT7_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT7);
	return ret;
}
#endif

#ifdef GL_CONSTANT_COLOR
LTL_METHOD_DECL(GL_MetaGL_CONSTANT_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONSTANT_COLOR);
	return ret;
}
#endif

#ifdef GL_ONE_MINUS_CONSTANT_COLOR
LTL_METHOD_DECL(GL_MetaGL_ONE_MINUS_CONSTANT_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ONE_MINUS_CONSTANT_COLOR);
	return ret;
}
#endif

#ifdef GL_CONSTANT_ALPHA
LTL_METHOD_DECL(GL_MetaGL_CONSTANT_ALPHA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONSTANT_ALPHA);
	return ret;
}
#endif

#ifdef GL_ONE_MINUS_CONSTANT_ALPHA
LTL_METHOD_DECL(GL_MetaGL_ONE_MINUS_CONSTANT_ALPHA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_ONE_MINUS_CONSTANT_ALPHA);
	return ret;
}
#endif

#ifdef GL_BLEND_COLOR
LTL_METHOD_DECL(GL_MetaGL_BLEND_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLEND_COLOR);
	return ret;
}
#endif

#ifdef GL_FUNC_ADD
LTL_METHOD_DECL(GL_MetaGL_FUNC_ADD_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FUNC_ADD);
	return ret;
}
#endif

#ifdef GL_MIN
LTL_METHOD_DECL(GL_MetaGL_MIN_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MIN);
	return ret;
}
#endif

#ifdef GL_MAX
LTL_METHOD_DECL(GL_MetaGL_MAX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX);
	return ret;
}
#endif

#ifdef GL_BLEND_EQUATION
LTL_METHOD_DECL(GL_MetaGL_BLEND_EQUATION_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BLEND_EQUATION);
	return ret;
}
#endif

#ifdef GL_FUNC_SUBTRACT
LTL_METHOD_DECL(GL_MetaGL_FUNC_SUBTRACT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FUNC_SUBTRACT);
	return ret;
}
#endif

#ifdef GL_FUNC_REVERSE_SUBTRACT
LTL_METHOD_DECL(GL_MetaGL_FUNC_REVERSE_SUBTRACT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_FUNC_REVERSE_SUBTRACT);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_1D
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_1D_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_1D);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_2D
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_2D_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_2D);
	return ret;
}
#endif

#ifdef GL_SEPARABLE_2D
LTL_METHOD_DECL(GL_MetaGL_SEPARABLE_2D_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SEPARABLE_2D);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_BORDER_MODE
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_BORDER_MODE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_BORDER_MODE);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_FILTER_SCALE
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_FILTER_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_FILTER_SCALE);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_FILTER_BIAS
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_FILTER_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_FILTER_BIAS);
	return ret;
}
#endif

#ifdef GL_REDUCE
LTL_METHOD_DECL(GL_MetaGL_REDUCE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_REDUCE);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_FORMAT
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_FORMAT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_FORMAT);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_WIDTH
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_WIDTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_WIDTH);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_HEIGHT
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_HEIGHT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_HEIGHT);
	return ret;
}
#endif

#ifdef GL_MAX_CONVOLUTION_WIDTH
LTL_METHOD_DECL(GL_MetaGL_MAX_CONVOLUTION_WIDTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_CONVOLUTION_WIDTH);
	return ret;
}
#endif

#ifdef GL_MAX_CONVOLUTION_HEIGHT
LTL_METHOD_DECL(GL_MetaGL_MAX_CONVOLUTION_HEIGHT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_CONVOLUTION_HEIGHT);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_RED_SCALE
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_RED_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_RED_SCALE);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_GREEN_SCALE
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_GREEN_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_GREEN_SCALE);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_BLUE_SCALE
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_BLUE_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_BLUE_SCALE);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_ALPHA_SCALE
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_ALPHA_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_ALPHA_SCALE);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_RED_BIAS
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_RED_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_RED_BIAS);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_GREEN_BIAS
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_GREEN_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_GREEN_BIAS);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_BLUE_BIAS
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_BLUE_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_BLUE_BIAS);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_ALPHA_BIAS
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_ALPHA_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_ALPHA_BIAS);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM);
	return ret;
}
#endif

#ifdef GL_PROXY_HISTOGRAM
LTL_METHOD_DECL(GL_MetaGL_PROXY_HISTOGRAM_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PROXY_HISTOGRAM);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM_WIDTH
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_WIDTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM_WIDTH);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM_FORMAT
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_FORMAT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM_FORMAT);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM_RED_SIZE
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_RED_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM_RED_SIZE);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM_GREEN_SIZE
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_GREEN_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM_GREEN_SIZE);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM_BLUE_SIZE
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_BLUE_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM_BLUE_SIZE);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM_ALPHA_SIZE
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_ALPHA_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM_ALPHA_SIZE);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM_LUMINANCE_SIZE
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_LUMINANCE_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM_LUMINANCE_SIZE);
	return ret;
}
#endif

#ifdef GL_HISTOGRAM_SINK
LTL_METHOD_DECL(GL_MetaGL_HISTOGRAM_SINK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_HISTOGRAM_SINK);
	return ret;
}
#endif

#ifdef GL_MINMAX
LTL_METHOD_DECL(GL_MetaGL_MINMAX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MINMAX);
	return ret;
}
#endif

#ifdef GL_MINMAX_FORMAT
LTL_METHOD_DECL(GL_MetaGL_MINMAX_FORMAT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MINMAX_FORMAT);
	return ret;
}
#endif

#ifdef GL_MINMAX_SINK
LTL_METHOD_DECL(GL_MetaGL_MINMAX_SINK_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MINMAX_SINK);
	return ret;
}
#endif

#ifdef GL_TABLE_TOO_LARGE
LTL_METHOD_DECL(GL_MetaGL_TABLE_TOO_LARGE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_TABLE_TOO_LARGE);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_BYTE_3_3_2
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_BYTE_3_3_2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_BYTE_3_3_2);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_SHORT_4_4_4_4
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_SHORT_4_4_4_4_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_SHORT_4_4_4_4);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_SHORT_5_5_5_1
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_SHORT_5_5_5_1_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_SHORT_5_5_5_1);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_INT_8_8_8_8
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_INT_8_8_8_8_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_INT_8_8_8_8);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_INT_10_10_10_2
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_INT_10_10_10_2_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_INT_10_10_10_2);
	return ret;
}
#endif

#ifdef GL_RESCALE_NORMAL
LTL_METHOD_DECL(GL_MetaGL_RESCALE_NORMAL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_RESCALE_NORMAL);
	return ret;
}
#endif

#ifdef GL_PACK_SKIP_IMAGES
LTL_METHOD_DECL(GL_MetaGL_PACK_SKIP_IMAGES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PACK_SKIP_IMAGES);
	return ret;
}
#endif

#ifdef GL_PACK_IMAGE_HEIGHT
LTL_METHOD_DECL(GL_MetaGL_PACK_IMAGE_HEIGHT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PACK_IMAGE_HEIGHT);
	return ret;
}
#endif

#ifdef GL_UNPACK_SKIP_IMAGES
LTL_METHOD_DECL(GL_MetaGL_UNPACK_SKIP_IMAGES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNPACK_SKIP_IMAGES);
	return ret;
}
#endif

#ifdef GL_UNPACK_IMAGE_HEIGHT
LTL_METHOD_DECL(GL_MetaGL_UNPACK_IMAGE_HEIGHT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNPACK_IMAGE_HEIGHT);
	return ret;
}
#endif

#ifdef GL_COLOR_MATRIX
LTL_METHOD_DECL(GL_MetaGL_COLOR_MATRIX_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_MATRIX);
	return ret;
}
#endif

#ifdef GL_COLOR_MATRIX_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_COLOR_MATRIX_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_MATRIX_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_MAX_COLOR_MATRIX_STACK_DEPTH
LTL_METHOD_DECL(GL_MetaGL_MAX_COLOR_MATRIX_STACK_DEPTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_COLOR_MATRIX_STACK_DEPTH);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_RED_SCALE
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_RED_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_RED_SCALE);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_GREEN_SCALE
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_GREEN_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_GREEN_SCALE);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_BLUE_SCALE
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_BLUE_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_BLUE_SCALE);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_ALPHA_SCALE
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_ALPHA_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_ALPHA_SCALE);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_RED_BIAS
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_RED_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_RED_BIAS);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_GREEN_BIAS
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_GREEN_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_GREEN_BIAS);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_BLUE_BIAS
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_BLUE_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_BLUE_BIAS);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_ALPHA_BIAS
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_ALPHA_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_ALPHA_BIAS);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE);
	return ret;
}
#endif

#ifdef GL_POST_CONVOLUTION_COLOR_TABLE
LTL_METHOD_DECL(GL_MetaGL_POST_CONVOLUTION_COLOR_TABLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_CONVOLUTION_COLOR_TABLE);
	return ret;
}
#endif

#ifdef GL_POST_COLOR_MATRIX_COLOR_TABLE
LTL_METHOD_DECL(GL_MetaGL_POST_COLOR_MATRIX_COLOR_TABLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_POST_COLOR_MATRIX_COLOR_TABLE);
	return ret;
}
#endif

#ifdef GL_PROXY_COLOR_TABLE
LTL_METHOD_DECL(GL_MetaGL_PROXY_COLOR_TABLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PROXY_COLOR_TABLE);
	return ret;
}
#endif

#ifdef GL_PROXY_POST_CONVOLUTION_COLOR_TABLE
LTL_METHOD_DECL(GL_MetaGL_PROXY_POST_CONVOLUTION_COLOR_TABLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PROXY_POST_CONVOLUTION_COLOR_TABLE);
	return ret;
}
#endif

#ifdef GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE
LTL_METHOD_DECL(GL_MetaGL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_SCALE
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_SCALE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_SCALE);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_BIAS
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_BIAS_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_BIAS);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_FORMAT
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_FORMAT_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_FORMAT);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_WIDTH
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_WIDTH_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_WIDTH);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_RED_SIZE
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_RED_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_RED_SIZE);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_GREEN_SIZE
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_GREEN_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_GREEN_SIZE);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_BLUE_SIZE
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_BLUE_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_BLUE_SIZE);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_ALPHA_SIZE
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_ALPHA_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_ALPHA_SIZE);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_LUMINANCE_SIZE
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_LUMINANCE_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_LUMINANCE_SIZE);
	return ret;
}
#endif

#ifdef GL_COLOR_TABLE_INTENSITY_SIZE
LTL_METHOD_DECL(GL_MetaGL_COLOR_TABLE_INTENSITY_SIZE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_COLOR_TABLE_INTENSITY_SIZE);
	return ret;
}
#endif

#ifdef GL_BGR
LTL_METHOD_DECL(GL_MetaGL_BGR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BGR);
	return ret;
}
#endif

#ifdef GL_BGRA
LTL_METHOD_DECL(GL_MetaGL_BGRA_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_BGRA);
	return ret;
}
#endif

#ifdef GL_MAX_ELEMENTS_VERTICES
LTL_METHOD_DECL(GL_MetaGL_MAX_ELEMENTS_VERTICES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_ELEMENTS_VERTICES);
	return ret;
}
#endif

#ifdef GL_MAX_ELEMENTS_INDICES
LTL_METHOD_DECL(GL_MetaGL_MAX_ELEMENTS_INDICES_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_MAX_ELEMENTS_INDICES);
	return ret;
}
#endif

#ifdef GL_CLAMP_TO_EDGE
LTL_METHOD_DECL(GL_MetaGL_CLAMP_TO_EDGE_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CLAMP_TO_EDGE);
	return ret;
}
#endif

#ifdef GL_IGNORE_BORDER
LTL_METHOD_DECL(GL_MetaGL_IGNORE_BORDER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_IGNORE_BORDER);
	return ret;
}
#endif

#ifdef GL_CONSTANT_BORDER
LTL_METHOD_DECL(GL_MetaGL_CONSTANT_BORDER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONSTANT_BORDER);
	return ret;
}
#endif

#ifdef GL_WRAP_BORDER
LTL_METHOD_DECL(GL_MetaGL_WRAP_BORDER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_WRAP_BORDER);
	return ret;
}
#endif

#ifdef GL_REPLICATE_BORDER
LTL_METHOD_DECL(GL_MetaGL_REPLICATE_BORDER_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_REPLICATE_BORDER);
	return ret;
}
#endif

#ifdef GL_CONVOLUTION_BORDER_COLOR
LTL_METHOD_DECL(GL_MetaGL_CONVOLUTION_BORDER_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_CONVOLUTION_BORDER_COLOR);
	return ret;
}
#endif

#ifdef GL_LIGHT_MODEL_COLOR_CONTROL
LTL_METHOD_DECL(GL_MetaGL_LIGHT_MODEL_COLOR_CONTROL_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_LIGHT_MODEL_COLOR_CONTROL);
	return ret;
}
#endif

#ifdef GL_SINGLE_COLOR
LTL_METHOD_DECL(GL_MetaGL_SINGLE_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SINGLE_COLOR);
	return ret;
}
#endif

#ifdef GL_SEPARATE_SPECULAR_COLOR
LTL_METHOD_DECL(GL_MetaGL_SEPARATE_SPECULAR_COLOR_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_SEPARATE_SPECULAR_COLOR);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_SHORT_5_6_5
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_SHORT_5_6_5_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_SHORT_5_6_5);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_BYTE_2_3_3_REV
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_BYTE_2_3_3_REV_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_BYTE_2_3_3_REV);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_SHORT_5_6_5_REV
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_SHORT_5_6_5_REV_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_SHORT_5_6_5_REV);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_SHORT_4_4_4_4_REV
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_SHORT_4_4_4_4_REV_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_SHORT_4_4_4_4_REV);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_SHORT_1_5_5_5_REV
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_SHORT_1_5_5_5_REV_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_SHORT_1_5_5_5_REV);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_INT_8_8_8_8_REV
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_INT_8_8_8_8_REV_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_INT_8_8_8_8_REV);
	return ret;
}
#endif

#ifdef GL_UNSIGNED_INT_2_10_10_10_REV
LTL_METHOD_DECL(GL_MetaGL_UNSIGNED_INT_2_10_10_10_REV_0)
{
	ltl_object_t *ret = ltl_threadenv_push(threadenv);
	LTL_OBJECT_SETSPECIAL(ret,LTL_TYPE_WORD,GL_UNSIGNED_INT_2_10_10_10_REV);
	return ret;
}
#endif

